
/*------------------------
	base class definition
-------------------------*/
.icon {
	display: inline-block;
	font: normal normal normal 1em/1 "Barberry";
	speak-as: none;
	text-transform: none;
	/* Better Font Rendering */
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

/*------------------------
  change icon size
-------------------------*/

/* relative units */
.icon-sm {
	font-size: .8em;
}

.icon-lg {
	font-size: 1.2em;
}

/* absolute units */
.icon-16 {
	font-size: 16px;
}

.icon-32 {
	font-size: 32px;
}

/*----------------------------------
  add a square/circle background
-----------------------------------*/
.icon-bg-square, .icon-bg-circle {
	padding: .35em;
	background-color: #eee;
}

.icon-bg-circle {
	border-radius: 50%;
}

/*------------------------------------
  use icons as list item markers
-------------------------------------*/
.icon-ul {
	padding-left: 0;
	list-style-type: none;
}

.icon-ul > li {
	display: flex;
	align-items: flex-start;
	line-height: 1.4;
}

.icon-ul > li > .icon {
	margin-right: .4em;
	line-height: inherit;
}

/*------------------------
  spinning icons
-------------------------*/
.icon-is-spinning {
	-webkit-animation: icon-spin 2s infinite linear;
	-moz-animation: icon-spin 2s infinite linear;
	animation: icon-spin 2s infinite linear;
}

@-webkit-keyframes icon-spin {
	0% {
		-webkit-transform: rotate(0deg);
	}
	
	100% {
		-webkit-transform: rotate(360deg);
	}
}

@-moz-keyframes icon-spin {
	0% {
		-moz-transform: rotate(0deg);
	}
	
	100% {
		-moz-transform: rotate(360deg);
	}
}

@keyframes icon-spin {
	0% {
		-webkit-transform: rotate(0deg);
		-moz-transform: rotate(0deg);
		-ms-transform: rotate(0deg);
		-o-transform: rotate(0deg);
		transform: rotate(0deg);
	}
	
	100% {
		-webkit-transform: rotate(360deg);
		-moz-transform: rotate(360deg);
		-ms-transform: rotate(360deg);
		-o-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}

/*------------------------
  rotated/flipped icons
-------------------------*/
.icon-rotate-90 {
	filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=1);
	-webkit-transform: rotate(90deg);
	-moz-transform: rotate(90deg);
	-ms-transform: rotate(90deg);
	-o-transform: rotate(90deg);
	transform: rotate(90deg);
}

.icon-rotate-180 {
	filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=2);
	-webkit-transform: rotate(180deg);
	-moz-transform: rotate(180deg);
	-ms-transform: rotate(180deg);
	-o-transform: rotate(180deg);
	transform: rotate(180deg);
}

.icon-rotate-270 {
	filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3);
	-webkit-transform: rotate(270deg);
	-moz-transform: rotate(270deg);
	-ms-transform: rotate(270deg);
	-o-transform: rotate(270deg);
	transform: rotate(270deg);
}

.icon-flip-y {
	filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=0);
	-webkit-transform: scale(-1, 1);
	-moz-transform: scale(-1, 1);
	-ms-transform: scale(-1, 1);
	-o-transform: scale(-1, 1);
	transform: scale(-1, 1);
}

.icon-flip-x {
	filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=2);
	-webkit-transform: scale(1, -1);
	-moz-transform: scale(1, -1);
	-ms-transform: scale(1, -1);
	-o-transform: scale(1, -1);
	transform: scale(1, -1);
}

/*------------------------
	icons
-------------------------*/
.icon-bb-menu-left::before {
	content: "";
}

.icon-bb-menu-full::before {
	content: "";
}

.icon-bb-cart-16::before {
	content: "";
}

.icon-bb-heart-gl::before {
	content: "";
}

.icon-bb-heart-line::before {
	content: "";
}

.icon-bb-favourite-line::before {
	content: "";
}

.icon-bb-favourite-gl::before {
	content: "";
}

.icon-bb-discount::before {
	content: "";
}

.icon-bb-user-16::before {
	content: "";
}

.icon-bb-share-24::before {
	content: "";
}

.icon-bb-share-16::before {
	content: "";
}

.icon-bb-360::before {
	content: "";
}

.icon-bb-tail-left-16::before {
	content: "";
}

.icon-bb-tail-right-16::before {
	content: "";
}

.icon-bb-medium-left::before {
	content: "";
}

.icon-bb-medium-right::before {
	content: "";
}

.icon-bb-medium-up::before {
	content: "";
}

.icon-bb-medium-down::before {
	content: "";
}

.icon-bb-back::before {
	content: "";
}

.icon-bb-eye::before {
	content: "";
}

.icon-bb-ruler::before {
	content: "";
}

.icon-bb-search::before {
	content: "";
}

.icon-bb-video::before {
	content: "";
}

.icon-bb-user-24::before {
	content: "";
}

.icon-bb-small-add::before {
	content: "";
}

.icon-small-delete::before {
	content: "";
}

.icon-bb-plus-24::before {
	content: "";
}

.icon-bb-minus-24::before {
	content: "";
}

.icon-bb-coupon::before {
	content: "";
}

.icon-bb-edit::before {
	content: "";
}

.icon-bb-small-left::before {
	content: "";
}

.icon-bb-small-right::before {
	content: "";
}

.icon-bb-small-up::before {
	content: "";
}

.icon-bb-small-down::before {
	content: "";
}

.icon-bb-tail-left-24::before {
	content: "";
}

.icon-bb-tail-right-24::before {
	content: "";
}

.icon-bb-sidebar::before {
	content: "";
}

.icon-bb-document::before {
	content: "";
}

.icon-bb-comments-32::before {
	content: "";
}

.icon-bb-close-24::before {
	content: "";
}

.icon-bb-close-16::before {
	content: "";
}

.icon-bb-check-32::before {
	content: "";
}

.icon-bb-cart-speed-32::before {
	content: "";
}

.icon-bb-alert-32::before {
	content: "";
}

.icon-bb-box-32::before {
	content: "";
}

.icon-bb-download-32::before {
	content: "";
}

.icon-bb-home-32::before {
	content: "";
}

.icon-bb-edit-32::before {
	content: "";
}

.icon-bb-power-32::before {
	content: "";
}

.icon-bb-dashboard-32::before {
	content: "";
}

.icon-bb-alert-48::before {
	content: "";
}

.icon-bb-check-12::before {
	content: "";
}

.icon-bb-button-play::before {
	content: "";
}

.icon-bb-search-24::before {
	content: "";
}

.icon-bb-pin-32::before {
	content: "";
}

.icon-bb-cart-speed-16::before {
	content: "";
}

.icon-bb-favorite-32::before {
	content: "";
}

.icon-bb-credit-card-32::before {
	content: "";
}

.icon-bb-email-32::before {
	content: "";
}

.icon-bb-present-32::before {
	content: "";
}

.icon-bb-dish-32::before {
	content: "";
}

.icon-bb-compare-16::before {
	content: "";
}

.icon-bb-business-contact-32::before {
	content: "";
}

.icon-bb-ticket-32::before {
	content: "";
}

.icon-bb-support-32::before {
	content: "";
}

.icon-bb-cart-return-32::before {
	content: "";
}

.icon-bb-users-wm-32::before {
	content: "";
}

.icon-bb-flag-points-16::before {
	content: "";
}

.icon-bb-lock-16::before {
	content: "";
}

.icon-bb-award-32::before {
	content: "";
}

.icon-bb-award-32-2::before {
	content: "";
}

.icon-bb-check-all-16::before {
	content: "";
}

.icon-bb-bookmark-32::before {
	content: "";
}
